Package: groovy.swing.factory

## [Groovy] Class TabbedPaneFactory

- groovy.swing.factory.TabbedPaneFactory

-     class TabbedPaneFactory
      extends BeanFactory

  Factory for creating tabbed panes and collecting per-tab metadata.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CONTEXT_DATA_KEY` | Builder context key used to store per-tab metadata.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND` | Default child attribute name for the tab background.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON` | Default child attribute name for the disabled tab icon.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX` | Default child attribute name for the tab displayed mnemonic index.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED` | Default child attribute name for the tab enabled state.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND` | Default child attribute name for the tab foreground.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ICON` | Default child attribute name for the tab icon.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC` | Default child attribute name for the tab mnemonic.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP` | Default child attribute name for the tab tool tip.
    `static String` | `DEFAULT_DELEGATE_PROPERTY_TITLE` | Default child attribute name for the tab title.
    `static String` | `DELEGATE_PROPERTY_TAB_BACKGROUND` | Builder context key for the child attribute that supplies the tab background.
    `static String` | `DELEGATE_PROPERTY_TAB_DISABLED_ICON` | Builder context key for the child attribute that supplies the disabled tab icon.
    `static String` | `DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX` | Builder context key for the child attribute that supplies the tab displayed mnemonic index.
    `static String` | `DELEGATE_PROPERTY_TAB_ENABLED` | Builder context key for the child attribute that supplies the tab enabled state.
    `static String` | `DELEGATE_PROPERTY_TAB_FOREGROUND` | Builder context key for the child attribute that supplies the tab foreground.
    `static String` | `DELEGATE_PROPERTY_TAB_ICON` | Builder context key for the child attribute that supplies the tab icon.
    `static String` | `DELEGATE_PROPERTY_TAB_MNEMONIC` | Builder context key for the child attribute that supplies the tab mnemonic.
    `static String` | `DELEGATE_PROPERTY_TAB_TOOL_TIP` | Builder context key for the child attribute that supplies the tab tool tip.
    `static String` | `DELEGATE_PROPERTY_TITLE` | Builder context key for the child attribute that supplies the tab title.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TabbedPaneFactory(Class beanClass)` Creates a new factory for creating tabbed panes and collecting per-tab metadata

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)` Collects tab metadata from a child component before it is added to the pane.
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the node handled by this factory.
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)` Finalizes a node after its children have been processed.
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)` Attaches a child node to its parent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### public static final String CONTEXT_DATA_KEY

      Builder context key used to store per-tab metadata.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

      Default child attribute name for the tab background.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

      Default child attribute name for the disabled tab icon.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

      Default child attribute name for the tab displayed mnemonic index.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

      Default child attribute name for the tab enabled state.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

      Default child attribute name for the tab foreground.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ICON

      Default child attribute name for the tab icon.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

      Default child attribute name for the tab mnemonic.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

      Default child attribute name for the tab tool tip.

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_TITLE

      Default child attribute name for the tab title.

    - #### public static final String DELEGATE_PROPERTY_TAB_BACKGROUND

      Builder context key for the child attribute that supplies the tab background.

    - #### public static final String DELEGATE_PROPERTY_TAB_DISABLED_ICON

      Builder context key for the child attribute that supplies the disabled tab icon.

    - #### public static final String DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

      Builder context key for the child attribute that supplies the tab displayed mnemonic index.

    - #### public static final String DELEGATE_PROPERTY_TAB_ENABLED

      Builder context key for the child attribute that supplies the tab enabled state.

    - #### public static final String DELEGATE_PROPERTY_TAB_FOREGROUND

      Builder context key for the child attribute that supplies the tab foreground.

    - #### public static final String DELEGATE_PROPERTY_TAB_ICON

      Builder context key for the child attribute that supplies the tab icon.

    - #### public static final String DELEGATE_PROPERTY_TAB_MNEMONIC

      Builder context key for the child attribute that supplies the tab mnemonic.

    - #### public static final String DELEGATE_PROPERTY_TAB_TOOL_TIP

      Builder context key for the child attribute that supplies the tab tool tip.

    - #### public static final String DELEGATE_PROPERTY_TITLE

      Builder context key for the child attribute that supplies the tab title.

  - ### Constructor Detail

    - #### TabbedPaneFactory(Class beanClass)

      Creates a new factory for creating tabbed panes and collecting per-tab metadata

      Parameters:
        `beanClass` - the bean type created by this factory

  - ### Method Detail

    - #### static void inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)

      Collects tab metadata from a child component before it is added to the pane.

      Parameters:
        `builder` - the factory builder
        `node` - the current node
        `attributes` - the node attributes

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the node handled by this factory.

      Parameters:
        `builder` - the factory builder
        `name` - the node name
        `value` - the node value
        `attributes` - the node attributes
      Returns:
        the created or reused node

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

      Finalizes a node after its children have been processed.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `node` - the current node

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)

      Attaches a child node to its parent.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `child` - the child node